## ltsp 5.3.7

=== debian/changelog ===
ltsp (5.3.7-0ubuntu2.5) precise-proposed; urgency=low

  * Add an hack to ltsp-client-builder to ensure /run/resolvconf exists in
    the target. This is an hack because /run/resolvconf should always exist
    in there but for some reason, doesn't in some weird corner case.
    This hack avoids some installation failing when trying to touch
    /etc/resolv.conf (LP: #1124029)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 13 Feb 2013 13:08:57 -0500

ltsp (5.3.7-0ubuntu2.4) precise-proposed; urgency=low

  * Fix support for LTS backport kernels. (LP: #1122525)
    This means LTSP will install the lts-quantal kernels if no other
    alternatives are present on the media. It'll still favor -generic-pae
    and -generic over any backport kernel to avoid moving existing users
    to a new kernel on upgrades.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 11 Feb 2013 20:21:11 -0500

ltsp (5.3.7-0ubuntu2.3) precise-proposed; urgency=low

  * Fix ltsp-shutdown, ltsp-restart and ltsp-cluster-info to use TryExec and
    the correct gnome-session script. (LP: #1062947)
  * Re-order ltsp-update-image to the tftp after the image. (LP: #1048689)
  * Fix jetpipe to do the daemoning itself rather than use the non-working
    python-daemon code. (LP: #996533)

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 06 Oct 2012 14:28:11 -0400

ltsp (5.3.7-0ubuntu2.2) precise-proposed; urgency=low

  * Add Xsession.d script in both ltsp-client-core and ltsp-server to
    properly set DESKTOP_SESSION when using the default session.
    (LP: #987726)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 02 Aug 2012 12:10:06 -0400

ltsp (5.3.7-0ubuntu2.1) precise-proposed; urgency=low

  * Cherry-pick upstream bugfixes:
    - Fix ionice on OpenVZ (r2242) (LP: #1004158)
    - Fix variable name conflict for ltsp-cluster (r2303) (LP: #1008618)
    - Check X_COLOR_DEPTH before overwritting with 16bit (r2316) (LP: #1010198)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 08 Jun 2012 10:55:10 -0400

ltsp (5.3.7-0ubuntu2) precise; urgency=low

  * Fix ltsp-client-vendor-functions symlink by replacing it by the actual
    target file. (LP: #975769)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 10 Apr 2012 10:04:52 +0200

ltsp (5.3.7-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.7).
    - Improve bandwidth usage by setting color depth to 16bit
    - Stop plymouth before starting start_screen_sessions
    - Reorg of init-ltsp.d, ltsp-*-common-functions and functions.d
    - Apply XKB* settings to /etc/default/keyboard.
    - udhcp: exit if an LTSP boot was not requested.
    - Check if LOCAL_APPS=True before calling ltsp-genmenu.
  * Update source path of ltsp-chroot
  * Deal with ltsp-{client,server}-common-functions being separate files now.
  * Add ltsp-common-functions to ltsp-client-core for compatibility.
  * Install the distributor functions in {client,server}/functions/Debian/*
  * Drop xcompmgr for now, the dependency should be on ldm and it's currently
    broken (needs a new ldm)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Apr 2012 14:44:12 -0400

ltsp (5.3.6-0ubuntu4) precise; urgency=low

  * ltsp-client: Add dependency on xcompmgr to use compositing when available.
    (LP: #967320)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 30 Mar 2012 10:20:59 -0400

ltsp (5.3.6-0ubuntu3) precise; urgency=low

  * ltsp-live: Fix gettext domain of ltsp-live.desktop. (LP: #967436)
  * ltsp-server: Remove old nbdrootd and nbdswapd inetd.conf entries (LP: #946537)
  * ltsp-server: For Edubuntu, cleanup /etc/apt/sources.list and /etc/resolv.conf
    in the chroot to remove entries added by the DC builder (LP: #967608)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 13:42:37 -0400

ltsp (5.3.6-0ubuntu2) precise; urgency=low

  * Make sure we exit plymouth before starting the screen sessions. (LP: #966267)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 Mar 2012 11:53:53 -0400

ltsp (5.3.6-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.6).
    - Simplify fat chroot autodetection
    - Blacklist Xsession.desktop in fat chroot autodetection
    - ltsp-update-kernels: only create yaboot symlinks if not otherwise present, 
      making it possible to configure a custom yaboot environment
    - replace dpkg-query with dpkg to fix script and installs ldm-ubuntu-theme
    - fix fat desktops and ldm themes selection
    - select the correct LDM theme for fat chroots too

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 15:26:42 -0400

ltsp (5.3.5-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (5.3.5)
    - Avoid running update-motd.d on Ubuntu
    - Drop sound volume code from ltsp-core as it's been in udev
      for a while now.
    - Disable some more unnecessary cronjobs
    - Turn off cron, dbus and some other services when < 128MB of RAM
    - Update screen sessions launching to save the openvt RAM
    - Delete functions that were moved to init-ltsp.d/
    - Use /usr/share/xsessions to autodetect fat chroots
    - Plymouth is sometimes using vt7, use openvt -f (force)
    - Only remove old kernels for valid chroots.
  * New upstream bugfix release (5.3.4)
    - Only listing changes to the Ubuntu/Common code since 5.3.2
    - Update lsb headers of ltsp-core
    - Drop all references to usplash
    - Drop ltsp-setup completely (no longer used)
    - Avoid overwriting jetpipe's DEVICE variable.
    - Make sure we set LANGUAGE properly.
    - Move some ltsp-init-common functions to init-ltsp.d scripts
    - Move 50-mtab from common to Ubuntu, symlink to Debian
    - Remove init-ltsp.d/*/50-localdev, which shouldn't be needed any longer
  * Replace sysvinit script by upstart script from upstream, making sure
    it always starts at the right time.
  * Add missing nbd-disconnect script (required for clean shutdown)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 09 Mar 2012 13:03:30 -0500

ltsp (5.3.2-0ubuntu3) precise; urgency=low


