## ltsp 5.4.2

=== debian/changelog ===
ltsp (5.4.2-6+deb7u1) wheezy; urgency=medium

  * Apply patch to fix remote audio on thinclients (Closes: #738553).

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 03 Apr 2014 12:14:39 -0700

ltsp (5.4.2-6) unstable; urgency=low

  * Add patch to run jetpipe from ltsp-client-core init script rather than
    init-ltsp.d hook (Closes: #700881). Running from init-ltsp.d is far too
    early in the boot process and causes daemonization to fail, which stops
    boot from continuing. Thanks to James McQuillan for the report.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 25 Mar 2013 09:58:35 -0700

ltsp (5.4.2-5) unstable; urgency=low

  * ltsp-client-core: Depend on initramfs-tools 0.99, to ensure /run is 
    available in the initramfs. 

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Jan 2013 22:00:39 -0800

ltsp (5.4.2-4) unstable; urgency=low

  * ltsp-client-core: Add patch to nbd-disconnect to handle cryptsetup swap 
    devices (Closes: #690267).

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 20 Nov 2012 21:26:04 -0800

ltsp (5.4.2-3) unstable; urgency=low

  * ltsp-client-core patches from upstream: 
    - Fix use of 'echo -e' by switching to printf in screen-x-common 
      (Closes: #692920).
    - Fix use of a "read -p" bashism in ltsp-cleanup (Closes: #690638).
    - Fix dashisms in update-kernels using "local -" by saving flags and 
      restoring them later (Closes: #693499).
    - Prevent setting of LTSP_FATCLIENT variable from causing ltsp-client-core
      initscript to die (Closes: #693745).
    - Move ltspconfig cache processing earlier, so that variables defined in 
      lts.conf can override autodetected variables (Closes: #689668).
    - Fix initramfs udhcp hook to use /run instead of /tmp, which allows the 
      booting from a network using PXE ProxyDHCP (Closes: #693746).

  * ltsp-server patches from upstream: 
    - Fix bashism in ltsp-config by using printf instead of 'echo -e' and echo
      with "\n" interpreting (Closes: #690618).
    - Fix ltsp-update-image to support servers with separate /boot partition.
      (Closes: #693636).
    - Fix dashisms in ltsp-update-image using "local -" by saving flags and 
      restoring them later (Closes: #693496).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 19 Nov 2012 14:17:21 -0800

ltsp (5.4.2-2) unstable; urgency=low

  * ltsp-server: Move lts.conf from doc to doc/examples.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 27 Jun 2012 18:12:48 -0500

ltsp (5.4.2-1) unstable; urgency=low

  * New upstream version:
    - init-ltsp.d: regenerate dbus machine-id.
    - Allow regular printer sharing via CUPS.
    - Split common-server.conf to ltsp-server.conf and ltsp-client.conf.

  * Install update-kernels.conf from debian/rules to handle differences in 
    Ubuntu and Debian.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 27 Jun 2012 16:35:00 -0500

ltsp (5.4.1-1) unstable; urgency=low

  * New upstream version: 
    - Rewrite kiosk screen script and corresponding plugin handling to create 
      ltspkiosk user and dirs at runtime.
    - Only use X_SMART_COLOR_DEPTH if X_COLOR_DEPTH is unset.
    - When DNS_SERVER is unset, try to locate one.
    - Default local syslog, define SYSLOG_HOST in lts.conf for remote logging.
      (LP: #697387)
    - Improvements to update-kernels: 
      + Default to a versioned kernel boot entry rather than a symlinked one.
      + Create a sub-menu for all available kernel versions and variants.
      + Option to use syslinux ifcpu64.c32 to select an appropriate 64-bit, PAE
        or 32-bit kernel at boot.
      + Generate boot menu entries for both NFS and NBD.      
      + Add yaboot entries for all kernel versions and boot methods.
    - ltsp-common-functions: Implement /etc/ltsp/*.conf.d include dirs.
    - ltsp-update-sshkeys: Do not fail if /etc/ssh/ssh_host_*_key.pub
      doesn't exist.
    - ltsp-server-dnsmasq.conf example: increase DHCP lease to 8h.
    - Fix TIMESERVER support in init-ltsp.d hook.
    - Ensure $HOME is set in xfreerdp screen script, working around an 
      xfreerdp segfault.

  * ltsp-client-core: Install a default update-kernels.conf.
  * Implement substvars mechanism to account for differences in Debian and 
    Ubuntu packaging.
  * Add Build-Depends on dctrl-tools.
  * ltsp-server: Only add nfs-kernel-server to Recommends on Debian.
  * ltsp-server-standalone:
    - Only add nfs-kernel-server to Depends on Debian.
    - Add ltsp-docs to Recommends.
  * Run some "make clean" calls in a dh_autoreconf_clean override, otherwise 
    dh_autoreconf_clean may remove files necessary for the generated Makefiles.
  * ltsp-client-builder: Add debhelper token to postinst.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 15 Jun 2012 18:42:13 -0700

ltsp (5.4.0-1) unstable; urgency=low

  * New upstream version:
    - Rewrite ltsp-update-image:
      + Test that ionice works before using it (needed for some openvz 
        containers).

    - ltsp-config: 
      + New helper utility to configure nbd-server, dnsmasq, lts.conf and 
        isc-dhcp-server.
      + Facilitates setting up a DHCP proxy configuration to seamlessly 
        integrate into existing networks.

    - ltsp-update-kernels (server side): 
      + Support copying the kernels from within NBD images.
      + Check if restorecon exists before running it (LP: #993179).

    - update-kernels (client side): 
      + Default to IPAPPEND=2 with pxelinux.
      + Remove support for sparc, alpha, sparc, and arm. It wasn't generic 
        enough to be useful or reasonably well tested.

    - ltsp-update-sshkeys: 
      + Drop direct support for generating ssh_known_hosts with server ip 
        addresses.

    - ltsp-build-client: 
      + Add back in support for installing ltsp-client-core from squeeze.
      + Allow vendor to be overidden by environment variable, to allow 
        installing an Ubuntu LTSP chroot.

