## ltsp 5.4.3

=== debian/changelog ===
ltsp (5.4.3-0ubuntu6) saucy; urgency=low

  * Make ltsp-client-builder depend on console-setup-udeb rather than
    kbd-chooser for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Oct 2013 09:02:17 +0100

ltsp (5.4.3-0ubuntu5) saucy; urgency=low

  * Depend on fonts-dejavu-core rather than ttf-dejavu-core,
    fonts-freefont-ttf rather than ttf-freefont, and fonts-thai-tlwg rather
    than ttf-thai-tlwg.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Jun 2013 14:07:22 +0100

ltsp (5.4.3-0ubuntu4) quantal; urgency=low

  * Upstream recently dropped the -a (architecture) flag of ltsp-update-image.
    Update the ltsp-server postinst to not try and call "-a i386" on Edubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 05 Sep 2012 16:52:47 -0400

ltsp (5.4.3-0ubuntu3) quantal; urgency=low

  * Fix ltsp-build-client producing a non-bootable system on x86 by
    fixing the update-initramfs hook to check for param.conf before trying
    to sed it. Cherry picked commit (r2391) from upstream.
  * Change default color depth from 16bit to 24bit as 16bit just doesn't
    work when using unity with llvmpipe. This is a workaround and alternatives
    should be looked at to get back to 16bit if possible.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 17:10:29 -0700

ltsp (5.4.3-0ubuntu2) quantal; urgency=low

  * ltsp-client-builder:
    - Fix fat-client option to actually work (instead of always building
      fat client images)
    - Add --updates-mirror none to fix install failure when media doesn't
      contain an updates pocket

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 Aug 2012 14:13:10 -0700

ltsp (5.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release (5.4.3)
    - Background jetpipe (LP: #996533)
    - Support armhf target, building an omap4 image and pxelinux structure.
    - Install ltsp-sound.rules directly in /usr/share/ltsp/udev/
  * Drop --mount-cdrom from ltsp-client-builder flags.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Aug 2012 15:05:53 -0400

ltsp (5.4.2-2ubuntu3) quantal; urgency=low

  * Drop Depends: for dhcp3-server following dhcp3-server to
    isc-dhcp-server transition.  Note package was already ported
    to isc-dhcp-server otherwise.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 03 Aug 2012 09:10:34 +0100

ltsp (5.4.2-2ubuntu2) quantal; urgency=low

  * Add 40-ltsp as 40-ltsp-client and 40-ltsp-server in Xsession.d for both
    ltsp-client-core and ltsp-server. (LP: #987726)
  * Cherry pick commits from upstream:
    - 3274: Allow qemu-debootstrap for foreign architectures
    - 3273: Change path from /tmp/net-* to /run/net-* to match new
      initramfs-tools behaviour
    - 3272: Enable recommends by default on Ubuntu
  * Update fat-client debconf description as it doesn't need translation
    and should only be used for preseeding.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Aug 2012 18:46:26 -0400

ltsp (5.4.2-2ubuntu1) quantal; urgency=low

  * Merging from Debian. Remaining changes:
    - Include dhcpd.conf configuration using 192.168.0.1/24 instead of upstream
      192.168.67.0/24 (until we deal with upgrades properly)
    - X-Ubuntu-Depends entries to keep similar package list as pre-merge
    - Change debian/watch to monitor Debian instead of Ubuntu 
    - Include ltsp-cluster in ltsp-client-core
    - Include ltsp-open in ltsp-client-core
    - Set ltsp-client-builder/ltsp_update_image to true by default
    - Set ltsp-client-builder/configure_network_interface to true by default
    - Add ltsp-client-builder/fat-client
    - Setup Edubuntu LTSP in ltsp-server.postinst

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 31 Jul 2012 15:07:37 -0400
