=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ltsp
 Section: misc
 Priority: extra
-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
 Uploaders: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: automake | automaken,
   bison,
@@ -40,7 +41,7 @@
   tftpd-hpa | atftpd | dnsmasq (>= 2.41)
 Suggests: audiooss,
   gnome-session | x-session-manager | x-window-manager,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  isc-dhcp-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
   ltsp-docs,
@@ -67,7 +68,7 @@
 Depends: ${misc:Depends},
   ${vendor:Depends},
   gnome-session | x-session-manager | x-window-manager,
-  isc-dhcp-server | dhcp3-server | dnsmasq,
+  isc-dhcp-server | dnsmasq,
   ldm-server,
   libasound2-plugins,
   ltspfs,
@@ -89,10 +90,15 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-client-core
+X-Ubuntu-Depends: busybox-static,
+  pciutils,
+  udhcpc,
+  usbutils
 Depends: ${misc:Depends},
   ${shlibs:Depends},
+  ${vendor:Depends},
   console-setup,
-  initramfs-tools (>= 0.99) [linux-any],
+  initramfs-tools (>= 0.11) [linux-any],
   iproute,
   kbd [linux-any] | console-tools [linux-any],
   lsb-base,
@@ -137,7 +143,28 @@
  LTSP stands for 'Linux Terminal Server Project'.
 
 Package: ltsp-client
-Depends: ${misc:Depends},
+X-Ubuntu-Depends: dbus,
+  dmz-cursor-theme,
+  fonts-dejavu-core,
+  fonts-freefont-ttf,
+  fonts-kacst-one,
+  fonts-khmeros-core,
+  fonts-lao,
+  fonts-liberation,
+  fonts-nanum,
+  fonts-takao-pgothic,
+  fonts-thai-tlwg,
+  language-pack-en,
+  libgl1-mesa-dri,
+  plymouth-theme-ubuntu-logo,
+  plymouth-theme-ubuntu-text,
+  ttf-indic-fonts-core,
+  ttf-punjabi-fonts,
+  ttf-ubuntu-font-family,
+  ttf-wqy-microhei,
+  wget
+Depends: ${misc:Depends},
+  ${vendor:Depends},
   alsa-utils,
   cron,
   cryptsetup,
@@ -160,6 +187,8 @@
   sshfs,
   x11-xserver-utils,
   xorg
+X-Ubuntu-Recommends: zram-config
+Recommends: ${vendor:Recommends}
 Architecture: any
 Description: complete LTSP client environment
  This package ensures that a complete LTSP client with a graphical user
@@ -176,7 +205,7 @@
 Architecture: all
 Depends: ${misc:Depends},
   ${shlibs:Depends},
-  kbd-chooser,
+  console-setup-udeb,
   pkgsel
 XB-Installer-Menu-Item: 7000
 Description: build an LTSP environment in the installer target
