=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,12 @@
 	# ltsp-client-vendor-functions... no, really!
 	install -m 644 server/Debian/share/ltsp/ltsp-server-vendor-functions $(CURDIR)/debian/ltsp-client-core/usr/share/ltsp/ltsp-client-vendor-functions
 
+	# install 40-ltsp in both ltsp-client-core and ltsp-server
+	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/
+	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-client-core/etc/X11/Xsession.d/40-ltsp-client
+	mkdir -p $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/
+	install -m 644 $(CURDIR)/debian/40-ltsp $(CURDIR)/debian/ltsp-server/etc/X11/Xsession.d/40-ltsp-server
+
 	# install appropriate update-kernels.conf
 	mkdir -p $(CURDIR)/debian/ltsp-client-core/etc/ltsp/
 	install -m 644 client/$(LSB_RELEASE_ID)/etc/ltsp/update-kernels.conf $(CURDIR)/debian/ltsp-client-core/etc/ltsp/update-kernels.conf
@@ -79,11 +85,6 @@
 	# Using po specific Makefile to install message catalogs
 	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/
 
-override_dh_installudev:
-	cp client/udev/88-ltsp-sound.rules debian/ltsp-client-core.udev
-	dh_installudev $(INSTALLUDEV_OPTS)
-	rm debian/ltsp-client-core.udev
-
 override_dh_autoreconf:
 	dh_autoreconf ./debian/autogen.sh
