=== debian/watch ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 # debian
 http://ftp.debian.org/debian/pool/main/l/ltsp/ltsp_(.*)\.orig\.tar\.gz
-
-# fedora
-http://kojipkgs.fedoraproject.org/packages/ltsp/ ([0-9].*)/
